using Godot;
using static ld48.Extensions;

public class Lava : Polygon2D {
    public override void _Ready() {
        base._Ready();
        
        var area = new Area2D();
        AddChild(area);
        var collision = new CollisionPolygon2D();
        collision.Polygon = Polygon;
        area.AddChild(collision);
        area.Connect("body_entered", Hero.instance, "Lava");
    }
}

